<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
// +----------------------------------------------------------------------+
// | PHP version 4/5                                                      |
// +----------------------------------------------------------------------+
// | This source file is a part of iScripts eSwap                     |
// +----------------------------------------------------------------------+
// | Authors: Programmer<programmer@armia.com>        		              |
// +----------------------------------------------------------------------+
// | Copyrights Armia Systems, Inc and iScripts.com  2005                |
// | All rights reserved                                                  |
// +----------------------------------------------------------------------+
// | This script may not be distributed, sold, given away for free to     |
// | third party, or used as a part of any internet services such as      |
// | webdesign etc.                                                       |
// +----------------------------------------------------------------------+
?>
<?php

class xItem {
  var $xLevel;
  var $xTitle;
  var $xLink;
  var $xDescription;
}

// general vars
$sTitle = "";
$sLink = "";
$sDescription = "";
$arItems = array();
$itemCount = 0;

// ********* Start User-Defined Vars ************
// rss url goes here
$uFile = "../xml/adminmenu.xml";
//$uFile = "http://www.wirelessdevnet.com/wirelessnews/rss/dailynews.rss";
// descriptions (true or false) goes here
$bDesc = true;
// font goes here
$uFont = "Verdana, Arial, Helvetica, sans-serif";
$uFontSize = "2";
// ********* End User-Defined Vars **************

function startElement($parser, $name, $attrs) {
  global $curTag;

  $curTag .= "^$name";

}

function endElement($parser, $name) {
  global $curTag;

  $caret_pos = strrpos($curTag,'^');

  $curTag = substr($curTag,0,$caret_pos);

}

function characterData($parser, $data) { global $curTag; // get the Channel information first
   // now get the items
  global $arItems, $itemCount;
  $itemLevelKey = "^MENU^GROUP^ITEM^LEVEL";
  $itemTitleKey = "^MENU^GROUP^ITEM^TITLE";
  $itemLinkKey = "^MENU^GROUP^ITEM^LINK";
  $itemDescKey = "^MENU^GROUP^ITEM^DESCRIPTION";

if(strlen(trim($data)) > 0)
{
  if ($curTag == $itemLevelKey) {

    // make new xItem
    $arItems[$itemCount] = new xItem();

    // set new item object's properties
    $arItems[$itemCount]->xLevel = $data;

  }
  elseif ($curTag == $itemTitleKey) {
    // make new xItem
//    $arItems[$itemCount] = new xItem();

    // set new item object's properties
    $arItems[$itemCount]->xTitle = $data;
  }
  elseif ($curTag == $itemLinkKey) {
    $arItems[$itemCount]->xLink = $data;
  }
  elseif ($curTag == $itemDescKey) {
    $arItems[$itemCount]->xDescription = $data;
    // increment item counter
    $itemCount++;
  }
}
}

// main loop
$xml_parser = xml_parser_create();
xml_set_element_handler($xml_parser, "startElement", "endElement");
xml_set_character_data_handler($xml_parser, "characterData");
if (!($fp = fopen($uFile,"r"))) {
  die ("could not open RSS for input");
}
while ($data = fread($fp, 4096)) {
  if (!xml_parse($xml_parser, $data, feof($fp))) {
    die(sprintf("XML error: %s at line %d", xml_error_string(xml_get_error_code($xml_parser)), xml_get_current_line_number($xml_parser)));
  }
}
xml_parser_free($xml_parser);


// write out the items
?>
<TABLE valign="top" border="0" width="100%" bgcolor="#aabbcc">
<TR>
<td align="center">
<?php
$i=0;
for ($i=0;$i<count($arItems);$i++) {
  $txItem = $arItems[$i];
  if ($txItem->xLevel == "2"){
      break;
  }

  if($i >0){
     echo("|");
  }
?>

<font face = "<?php echo($uFont); ?>" size = "<?php echo($uFontSize); ?>"><a href = "<?php echo($txItem->xLink); ?>"><?php echo($txItem->xTitle); ?></a></font>
<?
echo ("  ");
}
?>
</td>
</TR>
<?
  if ($_SESSION["guserid"] != ""){

?>
<TR>
<TD align="center">
<?
  for ($newIndex = $i; $newIndex < count($arItems); $newIndex++) {
       $txItem = $arItems[$newIndex];

           if ($txItem->xLevel != "2"){
               break;
           }

         if ($newIndex > $i){
            echo("|");
         }
?>
<font face = "<?php echo($uFont); ?>" size = "<?php echo($uFontSize); ?>"><a href = "<?php echo($txItem->xLink); ?>"><?php echo($txItem->xTitle); ?></a></font>
<?
        echo(" ");
  }
?>
</TD>
</TR>
<?
 } 
?>
</TABLE>